Manjaro Linux: Opencv detection problem - OpenCV 2.4.x is needed

Asked by MPE on 2017-04-20

Hi there,

I'm running Manjaro Linux 17.01, with openCV 3.2 installed. This, however, is not detected by Sikuli. My error log says something to the extent of the following (partly in Dutch):

' java.lang.UnsatisfiedLinkError: /home/maarten/.Sikulix/SikulixLibs_201703291041/libVisionProxy.so: libopencv_core.so.2.4: kan gedeeld objectbestand niet openen: Bestand of map bestaat niet '

the last bit means: can not open shared objectfile: file or folder does not exist.

I have no idea how to proceed, suggestion are very welcome, and many thanks in advance.

all the best

MPE

Question information

Language:
English Edit question
Status:
Answered
For:
Sikuli Edit question
Assignee:
No assignee Edit question
Last query:
2017-04-20
Last reply:
2017-04-20
RaiMan (raimund-hocke) said : #1

with SikuliX 1.1.x you will need an OpenCV version 2.4.x installed.

You have to consult the net about the possibilities in your Linux flavour.

Can you help with this problem?

Provide an answer of your own, or ask MPE for more information if necessary.

To post a message you must log in.